%define        major  %(echo 2.0.1 | cut -d. -f1)
Name:          libtalloc
Epoch:         1
Version:       2.1.6
Release:       1mamba
Summary:       The talloc library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           http://talloc.samba.org/talloc/doc/html/index.html
Source:        http://samba.org/ftp/talloc/talloc-%{version}.tar.gz
License:       LGPL
BuildRequires: autoconf
BuildRequires: docbook-xsl
BuildRequires: libxslt
Provides:      %{name}-static
Obsoletes:     %{name}-static
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a hierarchical, reference counted memory pool system with destructors.
It is the core memory allocator used in Samba.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name} needed for development
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
%{name} is a hierarchical, reference counted memory pool system with destructors.

This package contains libraries and header files need for development.

%package -n pytalloc
Group:         System/Libraries
Summary:       A wrapper for libtalloc for use in Python programs
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n pytalloc
%{name} is a hierarchical, reference counted memory pool system with destructors.

This package contains a wrapper for libtalloc for use in Python programs.

%package -n pytalloc-devel
Group:         Development/Libraries
Summary:       Libraries and headers for pytalloc needed for development
Requires:      pytalloc = %{?epoch:%epoch:}%{version}-%{release}

%description -n pytalloc
This package contains libraries and headers for pytalloc needed for development.

%prep
%setup -q -n talloc-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_datadir}/swig/*/talloc.i
chmod +x %{buildroot}%{_libdir}/libtalloc.so.%{version}
chmod +x %{buildroot}%{_libdir}/libpytalloc-util.so.%{version}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n pytalloc -p /sbin/ldconfig
%postun -n pytalloc -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libtalloc.so.*
%doc NEWS

%files devel
%defattr(-,root,root)
%{_includedir}/talloc.h
%{_libdir}/libtalloc.so
%{_libdir}/pkgconfig/talloc.pc
%{_mandir}/man3/talloc.3*

%files -n pytalloc
%defattr(-,root,root)
%{_libdir}/libpytalloc-util.so.*
%{python_sitearch}/talloc.so

%files -n pytalloc-devel
%defattr(-,root,root)
%{_includedir}/pytalloc.h
%{_libdir}/libpytalloc-util.so
%{_libdir}/pkgconfig/pytalloc-util.pc

%changelog
* Mon Mar 14 2016 Automatic Build System <autodist@mambasoft.it> 2.1.6-1mamba
- automatic version update by autodist

* Mon Nov 09 2015 Automatic Build System <autodist@mambasoft.it> 2.1.5-1mamba
- automatic version update by autodist

* Thu Oct 22 2015 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Fri Jul 31 2015 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Wed Apr 01 2015 Automatic Build System <autodist@mambasoft.it> 2.1.2-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic update by autodist

* Sat Sep 14 2013 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic update by autodist

* Tue Dec 04 2012 Automatic Build System <autodist@mambasoft.it> 2.0.8-1mamba
- automatic version update by autodist

* Tue Oct 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.7-1mamba
- update to 2.0.7

* Sat Feb 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.5-1mamba
- update to 2.0.5

* Mon Jun 07 2010 gil <puntogil@libero.it> 2.0.1-1mamba
- package created by autospec
